<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Session;
use App\Models\User;
use Symfony\Component\HttpFoundation\Response;

class isAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
			if (Auth::check()) {
				$user = Auth::user();

				// Check the user's status
				if ($user->level != 1) {
					User::find(Auth::id())->update(['remember_token' => null]);
					Auth::logout();
					Session::invalidate();
					Session::regenerateToken();
					Session::flash('success', 'Anda sudah logout');
					return to_route('login');
				}
		}
        return $next($request);
    }
}
