@extends('layout')
@section('title', 'Tambah Profil')
@section('content')
<div class="card card-body border-0 shadow mb-3">
	<form enctype="multipart/form-data" id="form-edit-account" action="{{ route('user.store') }}" method="post">
		@csrf
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3"><label for="name">Nama</label></div>
				<div class="col-lg-9">
					<input class="form-control" id="name" type="text" name="name" placeholder="Masukkan Nama Anda"
						value="{{ old('name') }}" required>
					@error('name') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3"><label for="email">Email</label></div>
				<div class="col-lg-9">
					<input class="form-control" id="email" type="email" name="email" placeholder="email@example.com"
						value="{{ old('email') }}" required>
					@error('email') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3"><label for="email">Level</label></div>
				<div class="col-lg-9">
					<select class="form-control" name="level">
						<option value="">Pilih level</option>
						<option value="1">Admin</option>
						<option value="2">User</option>
					</select>
					@error('level') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3">
					<label for="password-current">Password</label>
				</div>
				<div class="col-lg-9">
					<input class="form-control" id="password-current" type="password"
						placeholder="Password" name="password" required>
					@error('password') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="btn-group mt-3">
			<button type="submit" class="btn btn-primary">
				<i class="fas fa-floppy-disk"></i> Simpan
			</button>
		</div>
	</form>
</div>
@endsection
