@extends('user.layout')
@section('title', 'Dashboard')
@section('content')
<p>Selamat datang di Website Sistem Pendukung Keputusan pada Tanaman Padi, Jagung dan Tembakau berdasarkan beberapa faktor,
	{{ auth()->user()->name }}. Aplikasi ini menggunakan Naive Bayes sebagai
	algoritma klasifikasi.</p>
<div class="row">
	<div class="col-md-6 mb-3 mb-md-0">
		<div class="card">
			<div class="card-body">
				<div class="d-flex align-items-start justify-content-between">
					<div class="content-left">
						<span>Tanggal</span>
						<div class="d-flex align-items-end mt-2">
							<h3 id = "timer" class="mb-0 timer me-2">{{ date('j F Y, H:i:s') }}</h3>
						</div>
					</div>
					<span class="badge bg-primary rounded p-2">
						<i class="fas fa-file-lines"></i>
					</span>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6 mb-3 mb-md-0">
		<div class="card">
			<div class="card-body">
				<div class="d-flex align-items-start justify-content-between">
					<div class="content-left">
						<span>Login sebagai</span>
						<div class="d-flex align-items-end mt-2">
							<h3 class="mb-0 me-2">{{ \Auth::user()->level == 1 ? 'Admin' : 'User' }}</h3>
						</div>
					</div>
					<span class="badge bg-success rounded p-2">
						<i class="fas fa-file-lines"></i>
					</span>
				</div>
			</div>
		</div>
	</div>

	<div class="col-md-12 mt-4">
		<div class="card">
			<div class="card-header">
				<h6 class="m-0">Dashboard</h6>
			</div>
			<div class="card-body">
				Anda sedang berada pada halaman utama user
			</div>
		</div>
	</div>
</div>
<script>
        function updateTime() {
            // Membuat objek Date baru untuk mendapatkan tanggal dan waktu saat ini
            const currentDate = new Date();

            const year = currentDate.getFullYear();    // Mendapatkan tahun
            const monthNames = [
                "Januari", "Februari", "Maret", "April", "Mei", "Juni",
                "Juli", "Agustus", "September", "Oktober", "November", "Desember"
            ];
            const month = monthNames[currentDate.getMonth()];  // Mendapatkan nama bulan
            const date = currentDate.getDate();        // Mendapatkan tanggal
            const hours = String(currentDate.getHours()).padStart(2, '0');      // Mendapatkan jam, format dua digit
            const minutes = String(currentDate.getMinutes()).padStart(2, '0');  // Mendapatkan menit, format dua digit
            const seconds = String(currentDate.getSeconds()).padStart(2, '0');  // Mendapatkan detik, format dua digit

            document.getElementById('timer').innerHTML = `${date} ${month} ${year}, ${hours}:${minutes}:${seconds}`;
        }

        // Update waktu setiap detik
        setInterval(updateTime, 1000);
    </script>
@endsection
