@extends('user.layout')
@section('title', 'Edit Profil')
@section('content')
<div class="card card-body border-0 shadow mb-3">
	<x-caps-lock />
	<form enctype="multipart/form-data" id="form-edit-account" method="post" action="{{ route('home.update') }}">
		<input type="hidden" name="id" value="{{ auth()->id() }}">@csrf
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3"><label for="name">Nama</label></div>
				<div class="col-lg-9">
					<input class="form-control" id="name" type="text" name="name" placeholder="Masukkan Nama Anda"
						value="{{ auth()->user()->name }}" required>
					@error('name') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3"><label for="email">Email</label></div>
				<div class="col-lg-9">
					<input class="form-control" id="email" type="email" name="email" placeholder="email@example.com"
						value="{{ auth()->user()->email }}" required>
					@error('email') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="form-group position-relative mb-3">
			<div class="row">
				<div class="col-lg-3">
					<label for="password-current">Password</label>
				</div>
				<div class="col-lg-9">
					<input class="form-control" id="password-current" type="password" minlength="6" maxlength="20"
						placeholder="Password Anda" name="current_password">
					@error('password') <small class="text-danger">{{ $message }}</small> @enderror
				</div>
			</div>
		</div>
		<div class="btn-group mt-3">
			<a href="{{ route('home') }}" class="btn btn-warning">
				<i class="fas fa-arrow-left"></i> Kembali
			</a>
			<button type="submit" class="btn btn-primary">
				<i class="fas fa-floppy-disk"></i> Simpan Perubahan
			</button>
		</div>
	</form>
</div>
@endsection
